.pagination {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  padding: 35px 0;
  padding-bottom: 0;
}
.pagination__indicator {
  padding: 0px;
  width: 36px;
  height: 36px;
  border: 1px solid #CCCCCC;
  font-weight: 400;
  font-size: 15px;
  color: #222222;
  line-height: 18px;
}

.pagination__indicator a {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #222;
  text-decoration: none;
  font-size: 1em;
  font-weight: 400;
  line-height: inherit;
  width: 100%;
  height: 100%;
}
.pagination__indicator.active {
  background-color: #333;
  border-color: #333;
  color: #fff;
}
.pagination__indicator.active a {
  color: #fff;
}

.pagination__parts-wrapper,
.pagination__parts {
  display: flex;
  align-items: center;
  justify-content: center;
}

.pagination__parts-wrapper,
.pagination__parts-wrapper .pagination__parts {
  gap: 10px;
}

@media (max-width: 959px) {
  .pagination {
    justify-content: center;
  }

  .pagination__parts-wrapper,
  .pagination__parts {
    gap: 6px;
  }
}

.pagination__parts-wrapper--reverse,
.pagination__parts--reverse {
  flex-direction: row-reverse;
}

.pagination__item {
  display: flex;
  align-items: center;
  justify-content: center;
}

.pagination__button {
  width: 40px;
  height: 40px;
}

.pagination__button img {
  width: 20px;
}

@media (max-width: 959px) {
  .pagination__button {
    width: 32px;
    height: 32px;
  }

  .pagination__button .icon {
    width: 12px;
  }
}

.pagination__button--previous {
  transform: rotate(-90deg);
}
.pagination__button--next {
  transform: rotate(90deg);
}

@media (max-width: 959px) {
  .pagination__indicator {
    padding: 6px;
  }

  .pagination__indicator.is-text + .pagination__indicator {
    display: none;
  }

  .pagination__indicator.active {
    display: block;
  }
}
